
#!/bin/bash
downloadPath="/home/ioespa/ioespa/ioespa_update.jar"
serviceTarget="/home/ioespa/ioespa/ioespa.jar"
installedVersionPath="/home/ioespa/ioespa/installed_version.txt"
currentVersion=$(curl -s https://files.alamos-gmbh.com/ioespa/current_version.txt)
echo "Current Version on server is '$currentVersion'"
installedVersion=$(cat $installedVersionPath)
if [ -z "$installedVersion" ];
  then
    echo "Could not determine installed version. Cannot continue update"
  else
    echo "Locally installed Version '$installedVersion'"
  if [ $currentVersion -gt $installedVersion ];
    then
      echo "Newer version available. Will download"
      rm -f $downloadPath
      curl -s -o $downloadPath https://files.alamos-gmbh.com/ioespa/current_version.jar > downloadProgress.html
      if test -f "$downloadPath"; then
        echo "'$downloadPath' downloaded successfully."
        #stopp IOEspa Service first
        echo "Stopping IOEspa Service"
        systemctl stop ioespa
        echo "Copying new Service to $serviceTarget"
        cp $downloadPath $serviceTarget
        #make service jar executable
        chmod +x $serviceTarget
        echo "Starting Updated IOEspa Service version '$currentVersion'"
        systemctl start ioespa
        echo "Writing Version '$currentVersion' to installedVersion ($installedVersionPath)"
        echo $currentVersion > $installedVersionPath
        echo "Update process succeeded!"
      fi
    else
      echo "Nothing to do. Product is up to date."
  fi
fi

